<?php
namespace Mirasvit\Sorting\Controller\Adminhtml\Criterion\Delete;

/**
 * Interceptor class for @see \Mirasvit\Sorting\Controller\Adminhtml\Criterion\Delete
 */
class Interceptor extends \Mirasvit\Sorting\Controller\Adminhtml\Criterion\Delete implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Sorting\Repository\CriterionRepository $criterionRepository, \Mirasvit\Sorting\Model\ConfigProvider $configProvider, \Magento\Backend\Model\View\Result\ForwardFactory $resultForwardFactory, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($criterionRepository, $configProvider, $resultForwardFactory, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
